Update a recipient's account
This OAuth 2.0 Authenticated Update Recipient API allows you to update the account details of an existing recipient associated with a specific customer.
Authentication
OAuth 2.0 Bearer token authentication. This API uses OAuth 2.0 Client Credentials flow. Please refer to the Authentication section for detailed information on how to obtain and use your OAuth credentials.
Path parameters
Request
Organisational type of a recipient; whether an Individual or Corporate.
Three-letter ISO 3166-1 alpha-3 country code representing the recipient’s country.
Recipient bank account details vary by country. For example, an IBAN is sufficient for most European and Nordic countries. However, for the United States, you must provide an account number, routing code type, routing code value, and the bank’s country code.
You must also specify the currency of the recipient’s bank account using a three-letter ISO 4217 currency code (e.g., GBP for British Pound).
The following are the four supported combinations of recipient bank account details:
ibanaccount_numberandswift_codeaccount_number,swift_code, androuting_code_valueaccount_number,routing_code_type,routing_code_value, andbank_country_code
Examples:
- IBAN:
- Account number and Swift code:
- Account number, Swift code, and Routing code value:
- Account number, Routing code type, Routing code value, and Bank country code:
Container for confirmation of recipient details.
This object is required only when the initial API call fails due to a Confirmation of Payee (CoP) or Verification of Payee (VoP) check failure.
If the failure is related to CoP/VoP, the API response will include request_identifier and event_id, which must be used in the subsequent retry request along with the appropriate customer_action.
Detailed instructions for handling these scenarios can be found in:
Response
Recipient updated successfully or CoP/VoP verification failure
Response code from the CoP/VoP check. Indicates the type of match result from the payee’s bank. Present only when CoP/VoP verification fails.
Human-readable description of the CoP/VoP check result. Present only when CoP/VoP verification fails.
Details of the CoP/VoP check result including identifiers needed for retry. Present only when CoP/VoP verification fails.